Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/templates/campaigns/{campaignTemplateId}/copy \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"destination_project_id": "<string>",
"description": "<string>"
}
'{
"id": "camp_tpl_0f7e3ac98f04d00ab9",
"name": "Item_Discount_Campaign_Template",
"description": "To be reused in the future",
"campaign_type": "DISCOUNT_COUPONS",
"created_at": "2024-10-09T15:52:45.414Z",
"object": "campaign_template"
}Copies a campaign template to another project.
The resources, like validation rules or products, will not be copied to the destination project yet. When the template is used to create a new campaign or add a new promotion tier, the resources will be created in the destination project.
📘 Campaign Templates – Documentation
Read the Campaign Templates documentation to learn more about this feature.
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/templates/campaigns/{campaignTemplateId}/copy \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"destination_project_id": "<string>",
"description": "<string>"
}
'{
"id": "camp_tpl_0f7e3ac98f04d00ab9",
"name": "Item_Discount_Campaign_Template",
"description": "To be reused in the future",
"campaign_type": "DISCOUNT_COUPONS",
"created_at": "2024-10-09T15:52:45.414Z",
"object": "campaign_template"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Provide the unique identifier of the campaign template.
"camp_tpl_zLtn2H9fgcG3NwO7t4PAfHcq"
Determines the details about the template in the destination project as well as the destination project itself.
Response body schema for POST /management/v1/projects/{projectId}/templates/campaigns/{campaignTemplateId}/copy.
Returns the details about the copied campaign template.
Response body schema for POST /management/v1/projects/{projectId}/templates/campaigns/{campaignTemplateId}/copy.
Unique identifier of the campaign template. It is assigned by Voucherify.
"camp_tpl_eR9NsNJ5gqJRN2TG3fqCvbVl"
User-defined name of the campaign template.
Type of the campaign used to create the campaign template. Templates created from a promotion tier are converted to DISCOUNT_COUPONS.
DISCOUNT_COUPONS, GIFT_VOUCHERS Timestamp representing the date and time when the campaign template was created. The value is shown in the ISO 8601 format.
"2024-07-16T09:05:53.175Z"
The type of the object represented by JSON.
campaign_template User-defined description of the campaign template.
Was this page helpful?